Skip to main content
GET
/
cases
Error
A valid request URL is required to generate request examples
{
  "next_cursor": "<string>",
  "items": [
    {
      "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "threat_type": "data_exfiltration",
      "threat_brief": "<string>",
      "case_state": "discover",
      "safe_count": 123,
      "investigate_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "closed_at": "2023-11-07T05:31:56Z",
      "user": {
        "name": "<string>",
        "email": "<string>"
      }
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Domain-scoped API key. Generate and manage keys from the API Keys page in Settings. Pass via the X-API-Key header.

Query Parameters

state
enum<string>

Lifecycle state of a case:

  • discover — Vetted by the AI judge, ready for triage
  • pending_investigation — Swiped; investigation pending
  • investigating — Investigation underway
  • enforced — An enforcement action has been taken
  • closed — Case closed
Available options:
discover,
pending_investigation,
investigating,
enforced,
closed
threat_type
enum<string>

Threat classification assigned to a case

Available options:
data_exfiltration,
insider_threat,
privilege_escalation,
policy_violation,
account_compromise,
sabotage,
financial_fraud
created_after
string<date-time>
created_before
string<date-time>
page_size
integer
default:50
Required range: x <= 200
next_cursor
string

Response

Cursor-paginated list of cases

next_cursor
string | null
items
object[]